API Platform Base Path: https://api.enterprise.apigee.com/v1/o/{org_name}

API Resource Path: /apiproducts/{apiproduct_name}

Deletes an API Product

Verb: DELETE

Auth: Basic Auth

Developer Guide Topic

Deletes an API product from an organization. Note that deleting an API product will cause app requests to the resources URIs) defined in the API product to fail. Make sure you create a new API product to serve existing apps (unless your intention is disable access to the resources defined in the API product.)

Sample Request:
$ curl -u myname:mypass https://api.enterprise.apigee.com/v1/o/{org_name}/apiproducts/{apiproduct_name} -X DELETE
Sample Response:
{
  "apiResources" : [ "/weather" ],
  "approvalType" : "Auto",
  "attributes" : [ {
    "name" : "description",
    "value" : "Premium  API Product"
  }, {
    "name" : "developer.quota.interval",
    "value" : "1"
  }, {
    "name" : "developer.quota.limit",
    "value" : "1"
  }, {
    "name" : "developer.quota.timeunit",
    "value" : "second"
  }, {
    "name" : "access",
    "value" : "external"
  }, {
    "name" : "apisDeployedIn",
    "value" : "test"
  }, {
    "name" : "servicePlan",
    "value" : "Premium"
  } ],
  "createdAt" : 1344874372459,
  "createdBy" : "admin@apigee.com",
  "description" : "Premium API Product",
  "displayName" : "Premium API Product",
  "lastModifiedAt" : 1344874372459,
  "lastModifiedBy" : "admin@apigee.com",
  "name" : "api_premium",
  "scopes" : [ ]
}
Response Payload Elements:
Name Description
apiResources A list of URIs bundled in the API product
approvalType Approval mode for the API product: 'manual' or 'auto'
attributes Name/value pairs used to extend the default API product profile
createdAt Unix time when the API product was created
createdBy User name for the Apigee who created the API product
description Description of the API product
displayName Display name of the API product
lastModifiedAt Unix time when the API product was last modified
lastModifiedBy User name for the Apigee who last modified the API product
name Name of the API product
scopes Optional, comma-separated list of OAuth scopes included in the API product for validation at runtime
Errors
{
  "code" : "keymanagement.service.apiproduct_doesnot_exist",
  "message" : "ApiProduct with name api_free does not exist",
  "contexts" : [ ]
}
Last updated: 14 days ago